// DimmerControl.h
//

/* Copyright Notice **********************************************************
 * 
 *  Copyright (c) 2004. EdgeView Software, LLC.
 *  All Rights Reserved.
 *  
 *  Permission to use, copy, modify, and distribute this software and its
 *  documentation for any purpose, without fee, and without a written
 *  agreement, is hereby granted, provided that the above copyright
 *  notice, this paragraph and the following three paragraphs appear in
 *  all copies, modifications, and distributions.
 * 
 *  Created by EdgeView Software, LLC. 
 *  For technical information, contact support@edgeviewsoftware.com.
 *  
 *  IN NO EVENT SHALL EDGEVIEW SOFTWARE BE LIABLE TO ANY PARTY FOR DIRECT, 
 *  INDIRECT, SPECIAL, INCIDENTAL, OR CONSEQUENTIAL DAMAGES, INCLUDING LOST
 *  PROFITS, ARISING OUT OF THE USE OF THIS SOFTWARE AND ITS DOCUMENTATION, 
 *  EVEN IF EDGEVIEW SOFTWARE HAS BEEN ADVISED OF THE POSSIBILITY OF
 *  SUCH DAMAGES.
 * 
 *  THIS SOFTWARE AND ACCOMPANYING DOCUMENTATION, IF ANY, IS PROVIDED "AS
 *  IS".  EDGEVIEW SOFTWARE HAS NO OBLIGATION TO PROVIDE MAINTENANCE, SUPPORT,
 *  UPDATES, ENHANCEMENTS, OR MODIFICATIONS TO THIS SOFTWARE.  EDGEVIEW SOFTWARE
 *  SPECIFICALLY DISCLAIMS ALL WARRANTIES, EXPRESS OR IMPLIED, INCLUDING,
 *  BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND
 *  FITNESS FOR A PARTICULAR PURPOSE. WITHOUT LIMITING THE GENERALITY OF
 *  THE FOREGOING, THIS SOFTWARE IS NOT DESIGNED, MANUFACTURED OR
 *  INTENDED FOR USE OR RESALE IN CONNECTION WITH APPLICATIONS REQUIRING
 *  FAIL SAFE PERFORMANCE (INCLUDING, BUT NOT LIMITED TO, USE IN
 *  HAZARDOUS ENVIRONMENTS, OPERATION OF NUCLEAR FACILITIES, AIRCRAFT
 *  NAVIGATION OR COMMUNICATION SYSTEMS, AIR TRAFFIC CONTROL, DIRECT LIFE
 *  SUPPORT MACHINES, OR WEAPONS SYSTEMS).
 * 
 * End Copyright Notice ******************************************************/

#include <windows.h>
#include <windowsx.h>
#include <commctrl.h>

class DimmerControl
{
public:
    DimmerControl(HWND hWnd, HINSTANCE hInstance);
    ~DimmerControl();

    void SetLabel1(char* label);
    void Init(int faderID,
              int left,
              int top,
              int width = 50,
              int height = 0);

    void SetLevel(BYTE level);
    BYTE GetLevel(void);

private:
    char* label1;
    bool withLabel1;
    int controlID;
    int controlLeft;
    int controlTop;
    int controlWidth;
    int controlHeight;

    HWND hDimmerControl;
    HWND hFill;
    HWND hSlider;
    HWND hLabel1;
    int sliderHeight;
    int frameHeight;
    int label1top;
    HWND m_hWnd;
    HINSTANCE m_hInstance;
};
